// • ▌ ▄ ·.  ▄▄▄·  ▄▄ • ▪   ▄▄· ▄▄▄▄·  ▄▄▄·  ▐▄▄▄  ▄▄▄ .
// ·██ ▐███▪▐█ ▀█ ▐█ ▀ ▪██ ▐█ ▌▪▐█ ▀█▪▐█ ▀█ •█▌ ▐█▐▌·
// ▐█ ▌▐▌▐█·▄█▀▀█ ▄█ ▀█▄▐█·██ ▄▄▐█▀▀█▄▄█▀▀█ ▐█▐ ▐▌▐▀▀▀
// ██ ██▌▐█▌▐█ ▪▐▌▐█▄▪▐█▐█▌▐███▌██▄▪▐█▐█ ▪▐▌██▐ █▌▐█▄▄▌
// ▀▀  █▪▀▀▀ ▀  ▀ ·▀▀▀▀ ▀▀▀·▀▀▀ ·▀▀▀▀  ▀  ▀ ▀▀  █▪ ▀▀▀
//      Magicbane Emulator Project © 2013 - 2022
//                www.magicbane.com


package engine.objects;

import java.sql.ResultSet;
import java.sql.SQLException;

public class BuildingFriends {

    public int playerUID;
    public int buildingUID;
    public int guildUID;
    public int friendType;

    /**
     * ResultSet Constructor
     */

    public BuildingFriends(ResultSet rs) throws SQLException {
        this.playerUID = rs.getInt("playerUID");
        this.buildingUID = rs.getInt("buildingUID");
        this.guildUID = rs.getInt("guildUID");
        this.friendType = rs.getInt("friendType");
    }

    public BuildingFriends(int playerUID, int buildingUID, int guildUID, int friendType) {
        super();
        this.playerUID = playerUID;
        this.buildingUID = buildingUID;
        this.guildUID = guildUID;
        this.friendType = friendType;
    }

}
